<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Messages</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
   
  </head>
  <body>
    <div class="container mt-4">
      <div class="card">
        <div class="card-body">
          <input type="hidden" class="senderName" value="<%= senderName %>">
          <h2>Messages</h2>
          <div class="messages__history">
               <ul>
                  <% messages.forEach((message)=> { %>
                      <li>
                          <h2>
                              <%= message.userMessages.messageContent %>
                          </h2>
                            <% 
                          if(message.media.length)
                          {
                            message.media.forEach((mediaFile)=> {
                            %>
                            <a href="/data/uploads/<%= mediaFile.media %>"><%=  mediaFile.media %>
                            </a><br/>
                            <%
                            })
                          }
                          %>
                          <p>
                              <%= message.userMessages.createdAt %>
                          </p>
                      </li>
                      <hr />
                  <% }) %>
              </ul>
       </div>
         <div class="fallback"></div>
    </div>
   

           <form id="form1" name="theForm" class= "message_form" method="POST" enctype="multipart/form-data">
            <input type='hidden' name="senderId" value="<%= senderId %>">
            <div class="form-group">
              <input type="text" class="form-control col-lg-9 message_form__input" id="messageContent" name="messageContent" placeholder="Enter message">
            </div> 
             <div class="form-group">
              <input type="file" multiple class="form-control col-lg-9 file_input" id="files" name="media">
            </div> 
            <button id="submitbutton" type="submit" class="btn btn-primary message_form__button">Send</button>
          </form>
  </div>
  <script src="../../socket/socket-io.js"></script>
    <script src="../../js/main.js"></script>
  </body>
</html>